Bug 121575 - ftp will not do port mode, even when it says it is doing port mode
Summary: ftp will not do port mode, even when it says it is doing port mode
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: ftp (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-23 13:41 UTC by Nigel Metheringham
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-14 14:37:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nigel Metheringham 2004-04-23 13:41:14 UTC
Description of problem:

The default to passive mode is so strong that ftp client refuses
to do port mode even when told to:

Version-Release number of selected component (if applicable):
ftp-0.17-18

How reproducible:
very

Steps to Reproduce:
 ftp -d -v 192.168.50.161
Connected to 192.168.50.161 (192.168.50.161).
220 ATAboy2-00330138 FTP V1.0 ready
Name (192.168.50.161:nigel): ADMIN
---> USER XXXX
331 User OK, need password
Password:
---> PASS XXXX
230 User logged in
---> SYST
215 UNIX Type: L8
Remote system type is UNIX.
Using binary mode to transfer files.
ftp> sendport
Use of PORT cmds off.
ftp> sendport
Use of PORT cmds on.
----------------SO we are *definitely* using PORT mode
ftp> binary
---> TYPE I
200 TYPE command OK
ftp> put ATABoy2f_5030
local: ATABoy2f_5030 remote: ATABoy2f_5030
ftp: setsockopt (ignored): Permission denied
---> PASV
----------------- The fucker just sent a PASV - wheres the PORT
----------------- command????
500 Unsupported command/option
Passive mode refused.
ftp> quit
---> QUIT
221 Goodbye

  
See internal commentary

Additional info:
RH9 also affected.

Comment 1 Alan Cox 2004-05-02 23:46:14 UTC
Duplicated here


Comment 2 Alan Cox 2004-06-14 14:37:53 UTC
Did some more digging

- passive and sendport are not exclusive in Berkeley ftp. "passive"
turns off passive correctly.

I thus don't believe this is a bug.


Note You need to log in before you can comment on or make changes to this bug.